> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter orçamento (proposta comercial)



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /orcamentos/{idOrcamento}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /orcamentos/{idOrcamento}:
    get:
      tags:
        - Orcamentos
      summary: Obter orçamento (proposta comercial)
      operationId: ObterOrcamentoAction
      parameters:
        - $ref: '#/components/parameters/get_orcamentos_idOrcamento_idOrcamento'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterOrcamentoModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_orcamentos_idOrcamento_idOrcamento:
      name: idOrcamento
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterOrcamentoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nomeModelo:
              type: string
              nullable: true
            situacao:
              type: string
              nullable: true
            numeroProposta:
              type: string
              nullable: true
            contato:
              $ref: '#/components/schemas/ContatoIdRequestModel'
            data:
              type: string
              example: '2024-01-01'
              nullable: true
            observacao:
              type: string
              nullable: true
            introducao:
              type: string
              nullable: true
            assinatura:
              $ref: '#/components/schemas/AssinaturaOrcamentoRequestModel'
            dataProximoContato:
              type: string
              example: '2024-01-01'
              nullable: true
            listaPreco:
              $ref: '#/components/schemas/ListaPrecoRequestModel'
            naturezaOperacao:
              $ref: '#/components/schemas/NaturezaOperacaoOrcamentoRequestModel'
            vendedor:
              $ref: '#/components/schemas/VendedorRequestModel'
            enderecoAlternativo:
              $ref: '#/components/schemas/EnderecoAlternativoOrcamentosRequestModel'
            transportador:
              $ref: '#/components/schemas/TransportadorOrcamentosResponseModel'
            condicoesComerciais:
              $ref: '#/components/schemas/CondicoesComerciaisOrcamentoRequestModel'
            condicoesGerais:
              $ref: '#/components/schemas/CondicoesGeraisOrcamentoRequestModel'
            itens:
              type: array
              items:
                $ref: '#/components/schemas/ItemOrcamentoResponseModel'
            valorSubtotal:
              description: Subtotal dos itens da proposta
              type: number
              format: float
              nullable: true
            valorTotal:
              description: >-
                Valor total da proposta (itens + extras - desconto + frete +
                impostos)
              type: number
              format: float
              nullable: true
            extras:
              $ref: '#/components/schemas/ExtrasOrcamentoRequestModel'
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContatoIdRequestModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
          nullable: true
      type: object
    AssinaturaOrcamentoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            saudacao:
              type: string
              nullable: true
            responsavel:
              type: string
              nullable: true
          type: object
    ListaPrecoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
          type: object
    NaturezaOperacaoOrcamentoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
          type: object
    VendedorRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
          type: object
    EnderecoAlternativoOrcamentosRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            idOrigem:
              type: integer
              nullable: true
            endereco:
              type: string
              nullable: true
            enderecoNro:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            fone:
              type: string
              nullable: true
            nomeDestinatario:
              type: string
              nullable: true
            tipo:
              type: string
              nullable: true
            cpfCnpj:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            ie:
              type: string
              nullable: true
          type: object
    TransportadorOrcamentosResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            idFormaEnvio:
              type: integer
              nullable: true
            idFormaFrete:
              type: integer
              nullable: true
          type: object
    CondicoesComerciaisOrcamentoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            tipo:
              type: string
              enum:
                - Nenhuma
                - Parcelas
                - Texto livre
              nullable: true
            parcelas:
              $ref: '#/components/schemas/PagamentoParcelasOrcamentosRequestModel'
            textoLivre:
              type: string
              nullable: true
          type: object
    CondicoesGeraisOrcamentoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            validade:
              type: integer
              nullable: true
            dataPrevistaEntrega:
              type: string
              example: '2024-01-01'
              nullable: true
            descricaoPrazoEntrega:
              type: string
              nullable: true
          type: object
    ItemOrcamentoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            produto:
              $ref: '#/components/schemas/ProdutoResponseModel'
            quantidade:
              type: number
              format: float
            valorUnitario:
              type: number
              format: float
            descrComplementarOrc:
              type: string
              nullable: true
            prazoDisponibilidade:
              type: integer
              nullable: true
          type: object
    ExtrasOrcamentoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            descricao:
              description: Descrição de outros itens ou serviços (texto livre)
              type: string
              nullable: true
            total:
              description: Valor de outros itens ou serviços (não é o total da proposta)
              type: number
              format: float
              nullable: true
            desconto:
              description: Desconto absoluto aplicado sobre o subtotal dos itens
              type: number
              format: float
              nullable: true
            frete:
              description: Valor do frete
              type: number
              format: float
              nullable: true
            pesoLiq:
              description: >-
                Peso líquido total. Com peso_calculado=S ou L é calculado pelos
                produtos (payload ignorado). Com N, usa o valor enviado.
              type: number
              format: float
              nullable: true
            pesoBruto:
              description: >-
                Peso bruto total. Com peso_calculado=S é calculado pelos
                produtos (payload ignorado). Com L ou N, usa o valor enviado.
              type: number
              format: float
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    PagamentoParcelasOrcamentosRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            condicao:
              description: 'Condição de pagamento: ''30 60 90'', ''3x'', ''30,60,90'' ou ''30+2x'''
              type: string
            dias:
              type: array
              items:
                type: string
            obs:
              type: array
              items:
                type: string
          type: object
    ProdutoResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
          nullable: true
        sku:
          type: string
          nullable: true
        descricao:
          type: string
          nullable: true
        tipo:
          description: |-

            - P - Produto
            - S - Servico
          type: string
          enum:
            - P
            - S
          nullable: true
          x-enumDescriptions:
            - P - Produto
            - S - Servico
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````